[Pkg-javascript-commits] [jquery] 06/07: improve check against upstream build artifacts
Antonio Terceiro
terceiro at moszumanska.debian.org
Sat Aug 29 01:46:49 UTC 2015
This is an automated email from the git hooks/post-receive script.
terceiro pushed a commit to branch master
in repository jquery.
commit 8d399074f3446a7568a0e4c44092b3fabd9663ba
Author: Antonio Terceiro <terceiro at debian.org>
Date: Fri Aug 28 22:44:46 2015 -0300
improve check against upstream build artifacts
---
debian/release-check | 15 ++++++++-------
debian/rules | 3 ++-
2 files changed, 10 insertions(+), 8 deletions(-)
diff --git a/debian/release-check b/debian/release-check
index 236f218..920069c 100755
--- a/debian/release-check
+++ b/debian/release-check
@@ -2,18 +2,19 @@
set -e
-tmpdir=$(mktemp -d)
-cleanup() {
- rm -rf "$tmpdir"
-}
-trap cleanup INT TERM EXIT
+cachedir=$HOME/.cache/jquery-debian
+mkdir -p $cachedir
version=$(dpkg-parsechangelog -SVersion | cut -d + -f 1)
-wget --directory-prefix=$tmpdir http://code.jquery.com/jquery-${version}.js
+if [ ! -f $cachedir/jquery-${version}.js ]; then
+ wget --directory-prefix=$cachedir http://code.jquery.com/jquery-${version}.js
+fi
./debian/rules dist/jquery.js
rc=0
-diff -u $tmpdir/jquery-${version}.js dist/jquery.js || rc=$?
+diff --ignore-blank-line \
+ --ignore-matching-lines=Date:.*Z \
+ -u $cachedir/jquery-${version}.js dist/jquery.js || rc=$?
./debian/rules clean
if [ "$rc" -ne 0 ]; then
diff --git a/debian/rules b/debian/rules
index ac34a3f..aed8109 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,7 +1,7 @@
#!/usr/bin/make -f
source = $(shell find src/ -name '*.js')
-timestamp = $(shell date --iso-8601=minutes --utc --date="$(shell dpkg-parsechangelog -S Date)")
+timestamp = $(shell date --iso-8601=minutes --utc --date="$(shell dpkg-parsechangelog -S Date)" | sed -e 's/+0000/Z/')
version = $(shell dpkg-parsechangelog -SVersion | cut -d + -f 1)
override_dh_auto_build: dist/jquery.js dist/jquery.min.js dist/jquery.min.map
@@ -13,6 +13,7 @@ build.js: debian/build.js
dist/jquery.js: build.js $(source)
nodejs /usr/lib/nodejs/r.js -o build.js
sed -i -e 's/@DATE/$(timestamp)/; s/@VERSION/$(version)/' $@
+ sed -i -e 's/\/\/"use strict";/\/\//' $@
dist/jquery.min.js dist/jquery.min.map: dist/jquery.js
uglifyjs \
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/jquery.git
More information about the Pkg-javascript-commits
mailing list